ACCOUNT / V1
List plans
Read the published request limits for Starter, Growth, and Scale. This route does not require a key.
GET
/v1/plansPublic routeJSON response
Example requestv1
curl --request GET \ --url 'https://pokepos-market-api.vercel.app/v1/plans'{ "plans": [ { "id": "starter", "name": "Starter", "monthlyRequests": 10000, "requestsPerMinute": 30, "activeKeys": 2, "description": "For prototypes and focused integrations.", "price": null, "availability": "request-access" }, { "id": "growth", "name": "Growth", "monthlyRequests": 100000, "requestsPerMinute": 120, "activeKeys": 10, "description": "For production apps and growing catalog workflows.", "price": null, "availability": "request-access" }, { "id": "scale", "name": "Scale", "monthlyRequests": 1000000, "requestsPerMinute": 600, "activeKeys": 50, "description": "For high-volume commerce and data operations.", "price": null, "availability": "request-access" } ]} Example values can change with the source.
RESPONSE
Response object
Three available plan definitions.
plansPlan[]requiredValue returned by the market data source.
SCHEMAS
Related objects
Expand a type to inspect its fields.
Plan8 fields
idstringrequiredOne of starter, growth, scale.
namestringrequiredDisplay name from the source catalog.
descriptionstringShort plan description.
monthlyRequestsintegerrequiredMonthly account request allowance.
requestsPerMinuteintegerrequiredPer-minute account request allowance.
activeKeysintegerrequiredMaximum active API keys on the plan.
pricenullrequiredPlan price; currently provided on request.
availabilitystringrequiredAlways request-access.
HTTP
Status codes
200
Three available plan definitions.
Errors use the error.code and error.message shape. Keep the x-request-id response header for support and tracing.